import {
  MarkingsCalendar
} from '../../index.js'

export const components = {
  MarkingsCalendar
}

export const config = {"author":"NoCode Monkey","description":"An interactive calendar that users can click to perform actions. Users can highlighting the selected day or create/delete events. Calendar can display large dots to show events on a day or small dots to show the number of events. Other features include long-click actions, and multiple language options - Same Languages as Adalo Calendar.","logo":"./example-logo.png","displayName":"Advanced Calendar","demoAppURL":"https://previewer.adalo.com/c5460c50-ed74-4f53-aba4-dc17d472b420","name":"advanced-calendar-scott","version":"1.0.2","components":[{"name":"MarkingsCalendar","displayName":"Advanced Calendar","icon":"./thumbnail.png","defaultWidth":400,"defaultHeight":400,"props":[{"name":"adaloInputMarkings","displayName":"What data should be used for the markings?","type":"list"},{"name":"ISODateString","displayName":"Date For Each Marking","role":"listItem","reference":"adaloInputMarkings","type":"date","helpText":"Use magic 'date' values, not magic 'date & time' values. By default has value '0', meaning no data.","default":0},{"name":"eventString","displayName":"Event for Each Marking","role":"listItem","reference":"adaloInputMarkings","type":"number","default":0},{"name":"onUnmarkedDayPressAction","displayName":"Actions On Clicking An Unmarked Day","type":"action","arguments":[{"type":"date","displayName":"Date of Day Being Clicked"}]},{"name":"onMarkedDayPressAction","displayName":"Actions On Clicking A Marked Day","type":"action","role":"listItem","reference":"adaloInputMarkings","arguments":[{"type":"date","displayName":"Date of Day Being Clicked"},{"type":"text","displayName":"Marking Color Being Clicked"}]},{"name":"onUnmarkedDayLongPressAction","displayName":"Actions On Long Clicking An Unmarked Day","type":"action","arguments":[{"type":"date","displayName":"Date of Day Being Clicked"}]},{"name":"onMarkedDayLongPressAction","displayName":"Actions On Long Clicking A Marked Day","type":"action","role":"listItem","reference":"adaloInputMarkings","arguments":[{"type":"date","displayName":"Date of Day Being Clicked"},{"type":"text","displayName":"Marking Color Being Clicked"}]},{"name":"useToggle","displayName":"Use toggle","type":"boolean","default":true},{"name":"isMarkingsPreviewEnabled","displayName":"Show Sample Markings","type":"boolean","default":true,"helpText":"No worries. This only affects the editor view and nothing else. Exists to help you see what your markings could look like."},{"name":"calendarLanguage","displayName":"Language","type":"text","default":"English","control":{"type":"menu","options":[{"label":"Arabic","value":"Arabic"},{"label":"Chinese","value":"Chinese"},{"label":"English","value":"English"},{"label":"French","value":"French"},{"label":"German","value":"German"},{"label":"Hindi","value":"Hindi"},{"label":"Japanese","value":"Japanese"},{"label":"Portuguese","value":"Portuguese"},{"label":"Spanish","value":"Spanish"},{"label":"Russian","value":"Russian"},{"label":"Polish","value":"Polish"}]}},{"name":"firstDayOfWeek","displayName":"First Day of the Week","type":"text","default":"Sunday","control":{"type":"menu","options":[{"label":"Sunday","value":"Sunday"},{"label":"Monday","value":"Monday"}]}},{"name":"enableOnPressRangeStart","displayName":"Enable Click Range Start","type":"boolean","default":false},{"name":"onPressRangeStart","displayName":"Earliest Allowable Date For Clicking Day","type":"date","helpText":"By default has value '0', meaning there is no boundary.","default":0,"enabled":{"enableOnPressRangeStart":true}},{"name":"enableOnPressRangeEnd","displayName":"Enable Click Range End","type":"boolean","default":true},{"name":"onPressRangeEnd","displayName":"Latest Allowable Date For Clicking Day","type":"date","helpText":"By default has value '0', which will set the date to the current day.","default":0,"enabled":{"enableOnPressRangeEnd":true}}],"childComponents":[{"name":"colors","displayName":"Colors","props":[{"name":"normalTextColor","displayName":"Text Color","type":"color","default":"#2d4150"},{"name":"fadedTextColor","displayName":"Faded Text Color","type":"color","default":"#d9e1e8"},{"name":"backgroundColor","displayName":"Background Color","type":"color","default":"#ffffff"},{"name":"headingTextColor","displayName":"Heading Text Color","type":"color","default":"#2d4150"},{"name":"dayOfWeekTextColor","displayName":"Day of Week Text Color","type":"color","default":"#b6c1cd"},{"name":"todayTextColor","displayName":"Today Text Color","type":"color","default":"@primary"},{"name":"defaultDayMarkingColor","displayName":"Marking Color","type":"color","default":"@primary"},{"name":"clickedColor","displayName":"Clicked Color","type":"color","default":"#4E37CB"},{"name":"highlightTextColor","displayName":"Highlighted Text Color","type":"color","default":"#ffffff"},{"name":"dotsColor","displayName":"Dots Color","type":"color","default":"red"},{"name":"markedTextColor","displayName":"Marked Day Text Color","type":"color","default":"#ffffff"},{"name":"prevAndNextMonthIconColor","displayName":"Previous/Next Month and Loader Icon Color","type":"color","default":"@primary"}]},{"name":"navigation","displayName":"Navigation","props":[{"name":"previousMonthIconName","displayName":"Go To Previous Month Icon","type":"icon","default":"chevron-left"},{"name":"nextMonthIconName","displayName":"Go To Next Month Icon","type":"icon","default":"chevron-right"},{"name":"showArrows","displayName":"Enable Previous/Next Month icons?","type":"boolean","default":true,"helpText":"Without these icons, you won't be able to use them to go to the next or previous months."},{"name":"previousAndNextMonthIconSize","displayName":"Previous/Next Month Icon Size","type":"number","control":{"type":"slider","min":1,"max":38},"default":27}]}],"resizeY":true}]}